package cn.iocoder.yudao.module.system.service.biz;


import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.system.controller.admin.biz.vo.ContractPageReqVO;
import cn.iocoder.yudao.module.system.controller.admin.biz.vo.ElderlyContractResVO;
import cn.iocoder.yudao.module.system.controller.admin.biz.vo.ElderlyContractVO;
import cn.iocoder.yudao.module.system.dal.dataobject.biz.ElderlyContractDO;

import java.util.List;

/**
 * 长者合同管理 Service 接口
 *
 * @author 管理员
 */
public interface ElderlyContractService {


    Long createContract(ElderlyContractDO contractDO);

    PageResult<ElderlyContractDO> findPage(ContractPageReqVO reqVO);

    ElderlyContractVO getContract(Long id);

    ElderlyContractResVO getContractByElderId(Long elderId);

    void saveContractDetails(ElderlyContractDO contractDO);

    void updateContract(ElderlyContractDO updateReqVO);

    List<ElderlyContractDO> getExpiringWithinOneMonthContracts();
}